Skip to main content
PATCH
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Path Parameters

config_type_id
string
required

The unique identifier of the config type.

Example:

"cfg_typ_123"

Body

application/json
name
string

The updated name of the config type.

Example:

"My Config Type"

slug
string

The updated slug for the config type.

Example:

"my-config-type"

Response

200 - application/json

Successfully updated the config type.

object
enum<string>
required

The object type, which is always config_type.

Available options:
config_type
Example:

"config_type"

id
string
required

ID of the config type.

Example:

"cfg_123"

name
string
required

Name of the config type.

Example:

"My Config Type"

slug
string
required

An immutable, code-friendly name for the config type.

Example:

"my-config-type"

created_at
string<date-time>
required

Timestamp of when the config type was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the config type was last updated.

Example:

"2021-01-01T00:00:00Z"

Last modified on May 27, 2026